Bug 779143 - (SOA-1541) Exception during startup javax.naming.NameNotFoundException: CallbackQueue not bound
Exception during startup javax.naming.NameNotFoundException: CallbackQueue no...
Status: CLOSED NEXTRELEASE
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: JBossESB, Configuration (Show other bugs)
5.0.0 ER1
Unspecified Unspecified
urgent Severity urgent
: ---
: 5.0.0 GA,5.0.0 ER5
Assigned To: trev
http://jira.jboss.org/jira/browse/SOA...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-22 04:43 EDT by Jiri Pechanec
Modified: 2009-12-14 00:04 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
PostgreSQL
Last Closed: 2009-12-14 00:04:48 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SOA-1541 None Closed Exception during startup javax.naming.NameNotFoundException: CallbackQueue not bound 2012-03-19 03:07:23 EDT

  None (edit)
Description Jiri Pechanec 2009-10-22 04:43:32 EDT
Date of First Response: 2009-12-02 05:13:08
project_key: SOA

An exception is thrown during startup: javax.naming.NameNotFoundException: CallbackQueue not bound

It seems that there is missing dependency among jbpm internal components. The issue was spotted when PostgreSQL was used so it probably depends on timing

10:23:34,592 INFO  [JBpmCallback] initialise() invoked - config=<action action="action" class="org.jboss.soa.esb.services.jbpm.actions.JBpmCallback"/>
10:23:34,653 INFO  [Environment] Hibernate 3.3.2.GA
10:23:34,659 INFO  [Environment] hibernate.properties not found
10:23:34,670 INFO  [Environment] Bytecode provider name : javassist
10:23:34,682 INFO  [Environment] using JDK 1.4 java.sql.Timestamp handling
10:23:34,734 INFO  [JDBCDataStore] Generated token 'authToken:30BD5930-BEE4-11DE-9930-B5F2924765A2' for user: 'jbossesb/JBoss ESB User'
10:23:34,773 INFO  [JDBCDataStore] Generated token 'authToken:30C4D340-BEE4-11DE-9340-8A7373868BF1' for user: 'jbossesb/JBoss ESB User'
10:23:34,913 WARN  [JmsActivation] Failure in jms activation org.jboss.resource.adapter.jms.inflow.JmsActivationSpec@401f25(ra=org.jboss.resource.adapter.jms.JmsResourceAdapter@215d51 destination=queue/CallbackQueue destinationType=javax.jms.Queue tx=true durable=false reconnect=10 provider=java:/DefaultJMSProvider user=null maxMessages=1 minSession=1 maxSession=1 keepAlive=60000 useDLQ=true DLQHandler=org.jboss.resource.adapter.jms.inflow.dlq.GenericDLQHandler DLQJndiName=queue/DLQ DLQUser=null DLQMaxResent=5)
javax.naming.NameNotFoundException: CallbackQueue not bound
	at org.jnp.server.NamingServer.getBinding(NamingServer.java:771)
	at org.jnp.server.NamingServer.getBinding(NamingServer.java:779)
	at org.jnp.server.NamingServer.getObject(NamingServer.java:785)
	at org.jnp.server.NamingServer.lookup(NamingServer.java:443)
	at org.jnp.server.NamingServer.lookup(NamingServer.java:399)
	at org.jnp.interfaces.NamingContext.lookup(NamingContext.java:726)
	at org.jnp.interfaces.NamingContext.lookup(NamingContext.java:686)
	at javax.naming.InitialContext.lookup(InitialContext.java:392)
	at org.jboss.util.naming.Util.lookup(Util.java:222)
	at org.jboss.resource.adapter.jms.inflow.JmsActivation.setupDestination(JmsActivation.java:464)
	at org.jboss.resource.adapter.jms.inflow.JmsActivation.setup(JmsActivation.java:352)
	at org.jboss.resource.adapter.jms.inflow.JmsActivation$SetupActivation.run(JmsActivation.java:729)
	at org.jboss.resource.work.WorkWrapper.execute(WorkWrapper.java:205)
	at org.jboss.util.threadpool.BasicTaskWrapper.run(BasicTaskWrapper.java:260)
	at java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExecutor.java:886)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:908)
	at java.lang.Thread.run(Thread.java:619)
10:23:34,915 INFO  [QueueService] Queue[/queue/CallbackQueue] started, fullSize=200000, pageSize=2000, downCacheSize=2000
10:23:34,929 INFO  [TomcatDeployment] deploy, ctxPath=/jbpm-console
10:23:35,081 INFO  [config] Initializing Mojarra (1.2_13-b01-FCS) for context '/jbpm-console'
Comment 1 Kevin Conner 2009-12-02 05:13:08 EST
Was fixed at the beginning of November.
Comment 2 Kevin Conner 2009-12-02 05:13:08 EST
Link: Added: This issue depends JBESB-2923
Comment 3 Jiri Pechanec 2009-12-14 00:04:48 EST
Verified in ER5

Note You need to log in before you can comment on or make changes to this bug.